> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/pregled-na-zayavkite-km-geopard-api/belezhki-pinove/28.-mutaciya-zapazvane-na-nyakolko-notes-paketna-operaciya.md).

# 28. Мутация: Запазване на няколко „Notes“, пакетна операция

Тази мутация ви позволява да прикачите няколко бележки към посочено поле.

{% hint style="success" %}
Максималният брой бележки за запис е 25.
{% endhint %}

{% hint style="success" %}
Добавете `uuid` атрибута в входа за обновяване на бележката.
{% endhint %}

* Бележка може да бъде свързана с Парцел чрез неговия уникален идентификатор `fieldUuid,`  към съответния SoilDataset чрез `soilDatasetUuid`, към ZonesMap чрез `vectorAnalysisMapUuid`.
* Координатите на бележката могат да бъдат зададени чрез `centroid` атрибут, който изисква дефинирани `latitude` и `longitude` стойности.&#x20;
* Типът на бележката може да бъде указан чрез `тип` атрибут със допустими стойности `PLANNED` или `REAL`.&#x20;
* Описание на бележката може да бъде предоставено чрез `comment` атрибут. Ако описанието трябва да бъде на няколко реда, `comment` атрибутът трябва да съдържа низ с нови редове `\\n` за да разделите редовете. Например: `"Първи ред. е тук\\nВтори ред е тук.\\nТрети ред е тук."`.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
мутация BatchSaveNotes {
  saveNotes(input:{
    notes: [{
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: PLANNED,
      comment: "Batch save: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      uuid: "531d4cc4-b464-435c-8bb5-464cc13fcafa",
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Batch update: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Batch save: 2",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Batch save: 2",
      soilDatasetUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }
  ]
  } ) {
    uuid
    fieldUuid
    датаНаСъздаване
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/pregled-na-zayavkite-km-geopard-api/belezhki-pinove/28.-mutaciya-zapazvane-na-nyakolko-notes-paketna-operaciya.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
